create view nutzungen as
with nutz as
	(
	select
	nutzart
	from nutzung
	group by nutzart
	order by 
			case 
			when nutzart = 'Landwirtschaft' then 1
			when nutzart = 'Wald' then 2
			when nutzart = 'Gehölz' then 3
			when nutzart = 'Unland/Vegetationslose Fläche' then 4
			when nutzart = 'Stehendes Gewässer' then 5
			when nutzart = 'Fließgewässer' then 6
			when nutzart = 'Friedhof' then 7
			when nutzart = 'Sport-, Freizeit- und Erholungsfläche' then 8
			when nutzart = 'Fläche besonderer funktionaler Prägung' then 9
			when nutzart = 'Industrie- und Gewerbefläche' then 10
			when nutzart = 'Wohnbaufläche' then 11
			when nutzart = 'Weg' then 13
			when nutzart = 'Straßenverkehr' then 13
			when nutzart = 'Bahnverkehr' then 14
			when nutzart = 'Platz' then 15
		end
		)
	select
	row_number() over() as fid,
	* from nutz
	;
	insert into gpkg_contents (table_name, data_type, identifier, srs_id)
values ('nutzungen', 'attributes', 'nutzungen', 0)
;


    drop table baum_kontrolle;
	create table baum_kontrolle(
	fid   INTEGER     PRIMARY KEY Autoincrement,
	baum_id integer REFERENCES baeume (fid) on delete cascade on update cascade,
	datum text,
	inhalt text
	)
	;
	insert into gpkg_contents (table_name, data_type, identifier, srs_id)
    values ('baum_kontrolle', 'attributes', 'baum_kontrolle', 0)
    ;
    
    alter table baeume
add column kontroll_text text;
create view list_baum as
with list as
	(
	SELECT
	art,
	art_de,
	genus,
	genus_de
	from baeume
	group by art_de
	order by art
	)
SELECT
row_number() over() as fid,
* from list
;
insert into gpkg_contents (table_name, data_type, identifier, srs_id)
values ('list_baum', 'attributes', 'list_baum', 0)
;


alter table daten.baeume
  ALTER COLUMN geom TYPE GEOMETRY(POINT, 25832)
	    USING ST_SetSRID(ST_GeometryN(geom, 1),25832)
	;
		with abf as
			(
			select
			fid as gid,
			(st_dump(geom)).geom as geom
			 from daten.baeume
			)
				update daten.baeume
					set 
					geom = a.geom
					from abf as a
					where a.gid = daten.baeume.fid
					;
